pro wkrz, file, teff, grav, abund, rhox, t, xne, xna, rho $
        , type=type, wlstd=wlstd, opflag=opflag

if n_params() lt 9 then begin
  print, 'wkrz, file, teff, grav, abund, rhox, t, xne, xna, rho'
  print, '    , [ type=type, wlstd=wlstd, opflag=opflag ]'
  retall
endif

  if n_elements(type) eq 0 then type = 'RHOX'
  if n_elements(wlstd) eq 0 then wlstd = 5000
  if n_elements(opflag) eq 0 then begin
    opflag = [1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,0]
  endif
  ndep = n_elements(rhox)

  case type of
    'RHOX': modtyp = 0
    'TAU':  modtyp = 1
    else:   message, 'unknown model type'
  endcase

  openw, unit, file, /get_lun
  printf, unit, 'Written by "wkrz" on ' + systime()
  printf, unit, 'T EFF=' + string(teff, form='(f6.0)') $
              , ' GRAV=' + string(grav, form='(f4.1)') $
              , '  MODEL TYPE=' + string(modtyp, form='(i2)') $
              , ' WLSTD=' + string(wlstd, form='(f6.0)') 
  printf, unit, opflag, ' - OPACITY SWITCHES', form='(20i2,a)'
  printf, unit, abund, ndep $
        , form='(2f7.3,8f7.2,/,8(10f7.2,/),9f7.2,i3)'
  for i=0, ndep-1 do begin
    printf, unit, rhox(i), t(i), xne(i), xna(i), rho(i) $
          , form='(E16.9,",",f9.1,",",3(E12.5,","))'
  endfor

  free_lun, unit

end
